PingOne Platform APIs

Read One Recent Decision

Required permission:

GET {{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}}

The GET {{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}} operation returns the details of one recent decision from a decision endpoint. The decision endpoint and recent decision resources are specified by their IDs in the request URL.

If userContext was included in the original decision request, it is returned in the request object of the response.

Headers

Authorization      Bearer {{accessToken}}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}}' \
--header 'Authorization: Bearer {{accessToken}}'
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
GET /v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}} HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}}")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}}',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests

url = "{{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}}"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/decisionEndpoints/{{decisionEndpointID}}/recentDecisions/{{recentDecisionId}}")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

200 OK

{
    "id": "ac659b2a-32ed-4868-a832-6ae1a6abfa99",
    "deploymentPackageId": "5a40b08e-4a8e-4c31-a4e0-756f31607090",
    "timestamp": "2026-07-22T13:29:51.856855466Z",
    "elapsedTime": 210,
    "request": {
        "parameters": {
            "action": "ditto",
            "resource": "/api=users"
        },
        "userContext": {
            "user": {
                "id": "064aed38-9492-471f-b011-5838a7274043"
            }
        }
    },
    "decision": "NOT_APPLICABLE",
    "authorised": false,
    "status": {
        "code": "OKAY"
    },
    "attributes": {},
    "services": {},
    "decisionTree": {
        "id": "ab67d9f2-7616-452f-9465-3cdab2765b4b",
        "nodeType": "PolicySet",
        "name": "Policies",
        "elapsedTime": 22,
        "combiningAlgorithm": "DenyOverrides",
        "decision": "NOT_APPLICABLE"
    },
    "evaluationLog": [
        {
            "id": "ab67d9f2-7616-452f-9465-3cdab2765b4b",
            "type": "PolicySet",
            "name": "Policies",
            "outcome": {
                "value": "NOT_APPLICABLE",
                "isSuccess": true
            },
            "elapsedTime": 22
        }
    ]
}